chmod
clearstatcache
Filesystem Functions
PHP Manual

# chown

(PHP 4, PHP 5)

chown — Changes file owner

### Description

bool chown ( string `$filename` , mixed `$user` )

Attempts to change the owner of the file `filename` to user `user` . Only the superuser may change the owner of a file.

### Parameters

`filename`

  Path to the file.

`user`

  A user name or number.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Notes

> Note: This function will not work on remote files as the file to be examined must be accessible via the server's filesystem.

> Note: When safe mode is enabled, PHP checks whether the files or directories being operated upon have the same UID (owner) as the script that is being executed.

### See Also

- chmod()

chmod
clearstatcache
Filesystem Functions
PHP Manual